Subject: Re: [Acme] Current Charter language
From: Ted Hardie <[email-masked]>
To: Stephen Farrell <[email-masked]>
Cc: "Salz, Rich" <[email-masked]>, Kathleen Moriarty <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Fri, 15 May 2015 11:38:45 -0700
List-Id: Automated Certificate Management Environment <acme.ietf.org>

On Fri, May 15, 2015 at 11:28 AM, Stephen Farrell <[email-masked]
> wrote:

>
>
> On 15/05/15 19:09, Salz, Rich wrote:
> >> Any other obvious edits needed?
> >
> > LGTM
>
> (no hats)
>
> Me too. I like it and figure it's good enough.
>
> The only thing I'd suggest maybe adding is the illustrative goal
> that an "apt-get install apache" should be able to get the required
> certificates for a web server automatically, if there is an acme
> server that is willing to automate that far. And that a subsequent
> "apt-get upgrade" on that box should ensure that the certificate
> stuff needed for that apache install gets renewed if necessary.
>
> I can see that it might be tricky to phrase that in language
> that works in a charter though, but maybe someone's feeling nicely
> creative.
>
>
​Well, at the moment we says this:

"All of the processing must be done in a manner that is compatible
with common service deployment environments, such as hosting
environments.​"

Perhaps we can add something just after like this:

"Simplicity in certificate installation and maintenance are
key design goals.  Enabling this process to be incorporated
into the standard installation and upgrades of web servers
via a single command line invocation or flag would be
especially desirable".

That's less catchy than "apt-get install acme-cert", but it
may be more charter-y.

Is that worth doing?

Ted

> The reason to want this in (for me) is that I think that example
> can ground the work and be useful to head off some potential rat
> holes that might otherwise crop up. And it captures the by far
> most important requirement for acme to meet which is good to keep
> in front of us.
>
> Cheers,
> S
>
> >
> > --
> > Senior Architect, Akamai Technologies
> > IM: [email-masked] Twitter: RichSalz
> > _______________________________________________
> > Acme mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/acme
> >
> >
>